1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice

Upgrade PSA v7.1.7 >> 7.5.4 Problems -->

Discussion in 'Plesk for Linux - 8.x and Older' started by pcinews, Oct 6, 2005.

  1. pcinews

    pcinews Guest

    0
     
    After upgrading from PSA v7.1.7 >> 7.5.4 using the autoinstall RPM from sw-soft download section the installation appeared successful and some of the the new features appear to be working properly, however, when log into Plesk still says i'm running 7.1.7 I noticed that the following RPM duplicates are appearing installed.... could this be the problem? If so how do I resolve this without breaking my installation?

    rpm -qa | grep psa

    psa-locale-base-en-7.1.7-rhel3.build71050228.12
    psa-7.1.7-rhel3.build71050228.12

    psa-locale-base-en-US-7.5.4-rhel3.build75050824.12
    psa-7.5.4-rhel3.build75050824.12

    ---------------------------------------------------------
    CURRENT PSA INSTALLED VERSIONS
    ---------------------------------------------------------
    psacct-6.3.2-27
    mod_webapp-4.1.29-24psa.rhel3
    psa-courier-imap-add-7.5.4-rhel3.build75050902.17
    psa-hotfix-7.5.4-rhel3.build75050926.17
    psa-migration-manager-7.5.4-rhel3.build75050902.09
    psa-horde-3.0.5-rhel3.build75050824.12
    perl-MLDBM-Sync-0.30-61psa
    psa-api-rpc-protocol-7.5.4-rhel3.build75050902.09
    psa-turba-2.0.3-rhel3.build75050926.17
    psa-manual-custom-skin-guide-7.5.4-rhel3.build75050824.12
    psa-locale-base-en-7.1.7-rhel3.build71050228.12
    psa-7.1.7-rhel3.build71050228.12
    perl-HTML-Tree-3.16-44psa
    psa-qmail-1.03-rhel3.build75050824.12
    psa-pre-keyupdate-7.5.4-rhel3.build75050824.12
    psa-logrotate-3.7-rhel3.build75050824.12
    psa-boost-1.32.0-6
    frontpage-5.0-72psa.rhel3
    perl-Font-AFM-1.18-61psa
    perl-HTML-Format-1.23-51psa
    psa-spamassassin-7.5.4-rhel3.build75050927.15
    drweb-4.32.2-rh7_psa
    psa-migration-manager-7.5.3-rhel3.build75050506.18
    psa-locale-base-en-US-7.5.4-rhel3.build75050824.12
    psa-agent-1.3.5-75050902.09
    psa-api-common-7.5.4-rhel3.build75050902.09
    psa-api-rpc-7.5.4-rhel3.build75050902.09
    psa-7.5.4-rhel3.build75050824.12
    psa-imp-4.0.3-rhel3.build75050824.12
    perl-FreezeThaw-0.43-61psa
    psa-api-rpc-doc-7.5.4-rhel3.build75050902.09
    psa-autoinstaller-2.0.0-rhel3.build75050906.11
    psa-firewall-1.0.1-rhel3.build75050824.12
    psa-kronolith-2.0.3-rhel3.build75050824.12
    psa-ingo-1.0.1-rhel3.build75050824.12
    psa-passwd-3.0-rhel3.build75050824.12
    psa-tomcat-configurator-7.1.7-rhel3.build71050228.12
    psa-proftpd-xinetd-1.2.10-rhel3.build75050824.12
    psa-key-7.5-rhel3.build75050824.12
    psa-bu-7.5.4-rhel3.build75050926.17
    psa-api-cli-7.5.4-rhel3.build75050902.09
    psa-proftpd-1.2.10-rhel3.build75050824.12
    perl-MLDBM-2.01-61psa
    psa-qmail-rblsmtpd-0.70-rhel3.build75050824.12
    psa-fileserver-1.0.0-rhel3.build75050824.12
    psa-mnemo-2.0.1-rhel3.build75050824.12

    See Origional Thead

    (I reposted this in new thread for others, since I don't seem to be the only one with this problem, to easily find once resolution has been found)
     
  2. Cranky

    Cranky Guest

    0
     
    1) Find the reason it didn't upgrade successfully in the logfiles.
    2) Revert the Plesk database back to the original version (it's in /var/lib/psa/dumps).
    3) Fix the issue you found in 1).
    4) Re-run the upgrade with --force
     
Loading...